%global appname org.gnome.Characters

Summary:    Character map application for GNOME
Name:       gnome-characters
Version:    43.0
Release:    6%{?dist}
License:    BSD and GPLv2+
URL:        https://wiki.gnome.org/Design/Apps/CharacterMap
Source0:    https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils gettext gobject-introspection-devel libappstream-glib
BuildRequires: libunistring-devel meson pkgconfig(gjs-1.0) pkgconfig(gtk4) pkgconfig(libadwaita-1)
Requires: gjs gnome-desktop4 gtk4 libadwaita

%description
Characters is a simple utility application to find and insert unusual characters.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appname}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{appname}.desktop

%files -f %{appname}.lang
%license COPYING COPYINGv2
%doc NEWS README.md
%{_bindir}/%{name}
%{_libdir}/%{appname}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{appname}-symbolic.svg
%{_datadir}/metainfo/%{appname}.appdata.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
